# Gimp.ConfigInterface.diff

    function diff(a: GObject.Object, b: GObject.Object, flags: GObject.ParamFlags): Array(GObject.ParamSpec) {
        // Gjs wrapper for gimp_config_diff()
    }

Compares all properties of a and b that have all flags set. If flags is 0, all properties are compared.

If the two objects are not of the same type, only properties that exist in both object classes and are of the same value_type are compared.

Since 2.4

a

  a GObject.Object

b

  another GObject.Object object

flags

  a mask of GParamFlags

Returns

  a GList of differing GParamSpecs.